package com.terraformersmc.terrestria.feature.trees;

import com.mojang.datafixers.Dynamic;
import com.terraformersmc.terrestria.feature.TreeDefinition;
import com.terraformersmc.terrestria.feature.trees.templates.ConiferTreeFeature;
import java.util.Random;
import java.util.function.Function;
import net.minecraft.class_3111;

public class RedwoodTreeFeatureTiny extends ConiferTreeFeature {
	public RedwoodTreeFeatureTiny(Function<Dynamic<?>, ? extends class_3111> function, boolean notify, TreeDefinition.Basic tree) {
		super(function, notify, tree);
	}

	@Override
	public int getLeafHeight(Random rand) {
		return rand.nextInt(4) + 6;
	}

	@Override
	public int getBareTrunkHeight(Random rand) {
		return 1 + rand.nextInt(2);
	}

	@Override
	public int getMaxLeafRadius(Random rand) {
		return 3;
	}
}
