package com.terraformersmc.terrestria.biome.builder;

import net.minecraft.class_1959;
import net.minecraft.class_3864;

public enum DefaultFeature {
	LAND_CARVERS("land_carvers"),
	OCEAN_CARVERS("ocean_carvers"),
	STRUCTURES("structures"),
	LAKES("lakes"),
	DESERT_LAKES("desert_lakes"),
	DUNGEONS("dungeons"),
	MINEABLES("mineables"),
	ORES("ores"),
	EXTRA_GOLD("extra_gold"),
	EMERALD_ORE("emerald_ore"),
	INFECTED_STONE("infected_stone"),
	DISKS("disks"),
	CLAY("clay"),
	MOSSY_ROCKS("mossy_rocks"),
	LARGE_FERNS("large_ferns"),
	SWEET_BERRY_BUSHES("sweet_berry_bushes"),
	SWEET_BERRY_BUSHES_SNOWY("sweet_berry_bushes_snowy"),
	BAMBOO("bamboo"),
	BAMBOO_JUNGLE_TREES("bamboo jungle trees"),
	TAIGA_TREES("taiga_trees"),
	WATER_BIOME_OAK_TREES("water_biome_oak_trees"),
	BIRCH_TREES("birch_trees"),
	FOREST_TREES("forest_trees"),
	TALL_BIRCH_TREES("tall_birch_trees"),
	SAVANNAH_TREES("savannah_trees"),
	EXTRA_SAVANNA_TREES("extra_savannah_trees"),
	MOUNTAIN_TREES("mountain_trees"),
	EXTRA_MOUNTAIN_TREES("extra_mountain_trees"),
	JUNGLE_TREES("jungle_trees"),
	JUNGLE_EDGE_TREES("jungle_edge_trees"),
	BADLANDS_PLATEAU_TREES("badlands_plateau_trees"),
	SNOWY_SPRUCE_TREES("snowy_spruce_trees"),
	GIANT_SPRUCE_TAIGA_TREES("giant_spruce_taiga_trees"),
	MEGA_SPRUCE_TAIGA_TREES("mega_spruce_taiga_trees"),
	JUNGLE_GRASS("jungle_grass"),
	SAVANNA_TALL_GRASS("savanna_tall_grass"),
	SHATTERED_SAVANNAH_TALL_GRASS("shattered_savannah_tall_grass"),
	SAVANNAH_GRASS("savannah_grass"),
	BADLANDS_GRASS("badlands_grass"),
	FOREST_FLOWERS("forrest_flowers"),
	FOREST_GRASS("forrest_grass"),
	SWAMP_FEATURES("swamp_features"),
	MUSHROOM_FIELDS_FEATURES("mushroom_fields_features"),
	PLAINS_FEATURES("plains_features"),
	DESERT_DEAD_BUSHES("desert_dead_bushes"),
	GIANT_TAIGA_GRASS("giant_taiga_grass"),
	DEFAULT_FLOWERS("default_flowers"),
	EXTRA_DEFAULT_FLOWERS("extra_default_flowers"),
	DEFAULT_GRASS("default_grass"),
	TAIGA_GRASS("taiga_grass"),
	PLAINS_TALL_GRASS("plains_tall_grass"),
	DEFAULT_MUSHROOMS("default_mushrooms"),
	DEFAULT_VEGETATION("default_vegetation"),
	BADLANDS_VEGETATION("badlands_vegetation"),
	JUNGLE_VEGETATION("jungle_vegetation"),
	DESERT_VEGETATION("desert_vegetation"),
	SWAMP_VEGETATION("swamp_vegetation"),
	DESSERT_FEATURES("desert_features"),
	FOSSILS("fossils"),
	KELP("kelp"),
	SEAGRASS_ON_STONE("seagrass_on_stone"),
	SEAGRASS("seagrass"),
	MORE_SEAGRASS("more_seagrass"),
	LESS_KELP("less_kelp"),
	SPRINGS("springs"),
	ICEBERGS("icebergs"),
	BLUE_ICE("blue_ice"),
	FROZEN_TOP_LAYER("frozen_top_layer");

	private final String name;

	DefaultFeature(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void add(class_1959 biome) {
		switch (this) {
			case LAND_CARVERS:
				class_3864.method_16983(biome);
				break;
			case OCEAN_CARVERS:
				class_3864.method_17000(biome);
				break;
			case STRUCTURES:
				class_3864.method_17001(biome);
				break;
			case LAKES:
				class_3864.method_17002(biome);
				break;
			case DESERT_LAKES:
				class_3864.method_17003(biome);
				break;
			case DUNGEONS:
				class_3864.method_17004(biome);
				break;
			case MINEABLES:
				class_3864.method_17005(biome);
				break;
			case ORES:
				class_3864.method_17006(biome);
				break;
			case EXTRA_GOLD:
				class_3864.method_17007(biome);
				break;
			case EMERALD_ORE:
				class_3864.method_17008(biome);
				break;
			case INFECTED_STONE:
				class_3864.method_17009(biome);
				break;
			case DISKS:
				class_3864.method_17010(biome);
				break;
			case CLAY:
				class_3864.method_17011(biome);
				break;
			case MOSSY_ROCKS:
				class_3864.method_17012(biome);
				break;
			case LARGE_FERNS:
				class_3864.method_17013(biome);
				break;
			case SWEET_BERRY_BUSHES:
				class_3864.method_17015(biome);
				break;
			case SWEET_BERRY_BUSHES_SNOWY:
				class_3864.method_17014(biome);
				break;
			case BAMBOO:
				class_3864.method_17016(biome);
				break;
			case BAMBOO_JUNGLE_TREES:
				class_3864.method_17017(biome);
				break;
			case TAIGA_TREES:
				class_3864.method_17018(biome);
				break;
			case WATER_BIOME_OAK_TREES:
				class_3864.method_17019(biome);
				break;
			case BIRCH_TREES:
				class_3864.method_17020(biome);
				break;
			case FOREST_TREES:
				class_3864.method_17021(biome);
				break;
			case TALL_BIRCH_TREES:
				class_3864.method_17022(biome);
				break;
			case SAVANNAH_TREES:
				class_3864.method_17023(biome);
				break;
			case EXTRA_SAVANNA_TREES:
				class_3864.method_17024(biome);
				break;
			case MOUNTAIN_TREES:
				class_3864.method_16957(biome);
				break;
			case EXTRA_MOUNTAIN_TREES:
				class_3864.method_16958(biome);
				break;
			case JUNGLE_TREES:
				class_3864.method_16959(biome);
				break;
			case JUNGLE_EDGE_TREES:
				class_3864.method_16960(biome);
				break;
			case BADLANDS_PLATEAU_TREES:
				class_3864.method_16961(biome);
				break;
			case SNOWY_SPRUCE_TREES:
				class_3864.method_16962(biome);
				break;
			case GIANT_SPRUCE_TAIGA_TREES:
				class_3864.method_16963(biome);
				break;
			case MEGA_SPRUCE_TAIGA_TREES:
				class_3864.method_16964(biome);
				break;
			case JUNGLE_GRASS:
				class_3864.method_16965(biome);
				break;
			case SAVANNA_TALL_GRASS:
				class_3864.method_16966(biome);
				break;
			case SHATTERED_SAVANNAH_TALL_GRASS:
				class_3864.method_16967(biome);
				break;
			case SAVANNAH_GRASS:
				class_3864.method_16968(biome);
				break;
			case BADLANDS_GRASS:
				class_3864.method_16969(biome);
				break;
			case FOREST_FLOWERS:
				class_3864.method_16970(biome);
				break;
			case FOREST_GRASS:
				class_3864.method_16971(biome);
				break;
			case SWAMP_FEATURES:
				class_3864.method_16972(biome);
				break;
			case MUSHROOM_FIELDS_FEATURES:
				class_3864.method_16973(biome);
				break;
			case PLAINS_FEATURES:
				class_3864.method_16974(biome);
				break;
			case DESERT_DEAD_BUSHES:
				class_3864.method_16975(biome);
				break;
			case GIANT_TAIGA_GRASS:
				class_3864.method_16976(biome);
				break;
			case DEFAULT_FLOWERS:
				class_3864.method_16977(biome);
				break;
			case EXTRA_DEFAULT_FLOWERS:
				class_3864.method_16978(biome);
				break;
			case DEFAULT_GRASS:
				class_3864.method_16979(biome);
				break;
			case TAIGA_GRASS:
				class_3864.method_16980(biome);
				break;
			case PLAINS_TALL_GRASS:
				class_3864.method_16981(biome);
				break;
			case DEFAULT_MUSHROOMS:
				class_3864.method_16982(biome);
				break;
			case DEFAULT_VEGETATION:
				class_3864.method_16984(biome);
				break;
			case BADLANDS_VEGETATION:
				class_3864.method_16985(biome);
				break;
			case JUNGLE_VEGETATION:
				class_3864.method_16986(biome);
				break;
			case DESERT_VEGETATION:
				class_3864.method_16987(biome);
				break;
			case SWAMP_VEGETATION:
				class_3864.method_16988(biome);
				break;
			case DESSERT_FEATURES:
				class_3864.method_16989(biome);
				break;
			case FOSSILS:
				class_3864.method_16990(biome);
				break;
			case KELP:
				class_3864.method_16991(biome);
				break;
			case SEAGRASS_ON_STONE:
				class_3864.method_16992(biome);
				break;
			case SEAGRASS:
				class_3864.method_16993(biome);
				break;
			case MORE_SEAGRASS:
				class_3864.method_16994(biome);
				break;
			case LESS_KELP:
				class_3864.method_16995(biome);
				break;
			case SPRINGS:
				class_3864.method_16996(biome);
				break;
			case ICEBERGS:
				class_3864.method_16997(biome);
				break;
			case BLUE_ICE:
				class_3864.method_16998(biome);
				break;
			case FROZEN_TOP_LAYER:
				class_3864.method_16999(biome);
				break;
		}
	}
}
